#include <PSX/File/file_processor_helper.hpp>

namespace JabyEngine {
    namespace FileProcessor {
        struct NothingState {
        };

        static Progress parse_nothing(State::CDDataProcessor& data_proc, NothingState& state) {
            return Progress::Done;
        }

        State create(const uint32_t* data_adr, const Nothing& nothing) {
            return State::from(NothingState(), data_adr, parse_nothing);
        }
    }
}